# Creates a new application record that does not already exist. This method will auto-generate an ID and create a new application. If an ID is specified for the application, an error will be thrown. Endpoint: POST /applications/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Request fields (application/json): - `average_score` (number) The average score for this submission in the most recent round - `award_id` (string, required) The id of the award - `award_type_id` (string, required) The type of the award - `bucket_id` (string, required) The review bucket - `city` (string) The member city - `contact_id` (string, required) The contact for this application - `country` (string) The member country - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string, required) The date of application - `email_address` (string) The member's email address - `fee_id` (string) Id of the application fee - `first_name` (string) The member's first name - `id` (string, required) The unique, string identifier of this application - `job_title` (string) The member job title - `last_name` (string) The member's last name - `last_review_status_change` (string) The date that the review status was last changed - `name` (string, required) The member's name - `nominee_id` (string) The nominee to which this application is linked - `notes` (string) Notes on the application - `number_of_missing_references` (number) The number of references missing on the application - `order_id` (string) The order that last touched this application - `order_line_item_id` (string) The order line item touched this application - `organization_id` (string, required) The organization for this application - `override_bucket_assignment` (boolean) If set, the bucket is not calculated automatically, and instead manually assigned - `owner_type` (string, required) Contact or an organization Enum: "contact", "organization" - `pending_console_review` (boolean) If true, then this record has been reviewed and now needs action by the staff - `process_id` (string) The id of the application process - `recipient_categories` (array) - `recipient_categories.category_id` (string) The award category - `references` (array) - `references.id` (string) A unique identifier for the reference - `references.reference_contact_info` (object) Contact info for the reference - `references.reference_type_id` (string) Type of reference - `review_status` (string) The review status of this application Enum: "accepted", "alternate", "declined", "pending review" - `reviewer_recommendation` (string) Aggregate recommendation across all reviewers - `round_id` (string) The review round - `state` (string) The state - `status` (string) The status of the application Enum: "approved", "complete", "declined", "missing references", "withdrawn" - `status_reason_id` (string) The reason for the status - `submission_space_id` (string) The submission space to which this object belongs - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total_score` (number) The total score for this submission in the most recent round ## Response 200 fields (application/json): - `average_score` (number) The average score for this submission in the most recent round - `award_id` (string, required) The id of the award - `award_type_id` (string, required) The type of the award - `bucket_id` (string, required) The review bucket - `city` (string) The member city - `contact_id` (string, required) The contact for this application - `country` (string) The member country - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string, required) The date of application - `email_address` (string) The member's email address - `fee_id` (string) Id of the application fee - `first_name` (string) The member's first name - `id` (string, required) The unique, string identifier of this application - `job_title` (string) The member job title - `last_name` (string) The member's last name - `last_review_status_change` (string) The date that the review status was last changed - `name` (string, required) The member's name - `nominee_id` (string) The nominee to which this application is linked - `notes` (string) Notes on the application - `number_of_missing_references` (number) The number of references missing on the application - `order_id` (string) The order that last touched this application - `order_line_item_id` (string) The order line item touched this application - `organization_id` (string, required) The organization for this application - `override_bucket_assignment` (boolean) If set, the bucket is not calculated automatically, and instead manually assigned - `owner_type` (string, required) Contact or an organization Enum: "contact", "organization" - `pending_console_review` (boolean) If true, then this record has been reviewed and now needs action by the staff - `process_id` (string) The id of the application process - `recipient_categories` (array) - `recipient_categories.category_id` (string) The award category - `references` (array) - `references.id` (string) A unique identifier for the reference - `references.reference_contact_info` (object) Contact info for the reference - `references.reference_type_id` (string) Type of reference - `review_status` (string) The review status of this application Enum: "accepted", "alternate", "declined", "pending review" - `reviewer_recommendation` (string) Aggregate recommendation across all reviewers - `round_id` (string) The review round - `state` (string) The state - `status` (string) The status of the application Enum: "approved", "complete", "declined", "missing references", "withdrawn" - `status_reason_id` (string) The reason for the status - `submission_space_id` (string) The submission space to which this object belongs - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total_score` (number) The total score for this submission in the most recent round ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields